require_relative "lib/progress-bar/version"

Gem::Specification.new do |spec|
	spec.name          = "progress-bar"
	spec.version       = ProgressBar::VERSION
	spec.authors       = ["Denis Knauf"]
	spec.email         = ["denis+gems@denkn.at"]

	spec.summary       = %q{Progress Bar for terminal and KDE}
	spec.description   = %q{Displays a Progress Bar in terminal, via KDE-JobViewer or via kdialog}
	spec.homepage      = "https://git.denkn.at/deac/progress-bar"
	spec.licenses      = ["LGPL-3.0"]

	# Specify which files should be added to the gem when it is released.
	# The `git ls-files -z` loads the files in the RubyGem that have been added into git.
	spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
		`git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
	end
	#spec.bindir        = "bin"
	#spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
	spec.require_paths = ["lib"]

	spec.add_development_dependency "rake", "~> 12"
	spec.add_development_dependency "rspec", "~> 3"
	spec.add_dependency "ruby-dbus", '~> 0'
end
